Subject: Re: bug#10945: Can't search through help menu.

From: Bartosz Duszel <[email-masked]>
Date: Thu, 4 May 2017 20:10:45 +0200

> On 4 May 2017, at 18:59, Bartosz Duszel <[email-masked]> wrote:
> 
> 
>> On 4 May 2017, at 18:05, Drew Adams <[email-masked]> wrote:
>> 
>> Wrt the original bug report:
>> 
>> 1. You can click mouse-1 in buffer `*Metahelp*' (the buffer you want
>> to search).
>> 
>> 2. I guess we could define a key in the local map (the value of
>> `helped-map' from `make-help-screen') that would switch to that
>> buffer.
> 
> No problem, I will try to do that. It shouldn’t be too complicated and I am pretty
> new here. :)
> 
> Best regards,
> Bartosz Duszel

After some more thinking I am not sure if this is the best approach.

1. After clicking mouse-1 in buffer `*Metahelp*’ you can easily search in this buffer but
all the mapped keys doesn’t work at this point. You need to look for what you need in the buffer
and run C-h ? once again.

2. Author of the bug highlighted that the current behaviour is not friendly. I am also not sure
if adding another key just for changing the window is a good solution.

At this point I do not know how we should handle this case.